/* ===== Pasek nawigacji główny ===== */
/* Główne stylizowanie */
header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: 0.6s;
    padding: 20px;
    z-index: 100000;
    box-sizing: border-box;
}

/* Logo czyli napis po lewej stronie */
header .logo {
    position: relative;
    font-weight: 700;
    text-decoration: none;
    font-size: 2em;
    /*text-transform: uppercase;*/
    transition: 0.6s;
    opacity: 0;
    color: #57A773;
}

header .logo:hover {
    color: #005420;
    transition: 0.6s;
}

/* Lista ogólnie, elementy po prawej stronie */
header ul {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Pojedyncze elementy listy */
header ul li {
    display: flex;
    list-style: none;
    margin-right: 5px;
    border-radius: 15px;
}

/* Tekst pojedynczych elementów listy */
header ul li a {
    position: relative;
    text-decoration: none;
    transition: 0.6s;
    min-width: 65px;
    text-align: center;
    padding: 15px;
    color: white;
}

header ul li a:hover {
    color: #005420;
    transition: 0.6s;
}

header.sticky {
    padding: 5px 15px;
    background: rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(4px);
    color: white;
}

header.sticky ul li a {
    color: black;
}

header.sticky .logo {
    opacity: 1;
}

.menu-toggle {
    display: none;
    font-size: 24px;
    background: none;
    color: #333;
    border: none;
    cursor: pointer;
}

@media (max-width: 1012px) {
    /* Pokaż przycisk hamburgera na urządzeniach mobilnych */
    .menu-toggle {
        display: block;
    }

    /* Ukryj menu na telefonach, dopóki nie zostanie rozwinięte */
    .menu-container {
        display: none;
        width: 100%;
    }

    /* Ustawienia rozwiniętego menu */
    .menu-container.active {
        display: block; /* Wyświetlamy menu jako blok, aby było pionowe */
        width: 100%;
        background-color: rgba(255, 255, 255, 0.9);
        position: absolute;
        top: 60px; /* Dopasuj do wysokości headera */
        left: 0;
        z-index: 100;
    }

    /* Elementy menu w trybie rozwiniętym */
    .menu {
        display: flex;
        flex-direction: column; /* Ustawiamy kierunek na pionowy */
        width: 100%;
        text-align: center;
        margin: 0;
        padding: 0;
    }

    .menu li {
        width: 100%;
        border-bottom: 1px solid #ddd; /* Opcjonalnie linia oddzielająca elementy */
    }

    .menu li a {
        display: block;
        padding: 15px;
        color: #333;
    }
}